Incident Relations - Delete

刪除指定事件的關係。

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.OperationalInsights/workspaces/{workspaceName}/providers/Microsoft.SecurityInsights/incidents/{incidentId}/relations/{relationName}?api-version=2025-09-01

URI 參數

名稱 位於 必要 類型 Description
incidentId
path True

string

事件 ID

relationName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-zA-Z0-9-]{3,63}$

關係名稱

resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

workspaceName
path True

string

minLength: 1
maxLength: 90
pattern: ^[A-Za-z0-9][A-Za-z0-9-]+[A-Za-z0-9]$

監視器工作區的名稱。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

回應

名稱 類型 Description
200 OK

已成功刪除資源。

204 No Content

資源不存在。

Other Status Codes

CloudError

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

Delete the incident relation.

範例要求

DELETE https://management.azure.com/subscriptions/d0cfe6b2-9ac0-4464-9919-dccaee2e48c0/resourceGroups/myRg/providers/Microsoft.OperationalInsights/workspaces/myWorkspace/providers/Microsoft.SecurityInsights/incidents/afbd324f-6c48-459c-8710-8d1e1cd03812/relations/4bb36b7b-26ff-4d1c-9cbe-0d8ab3da0014?api-version=2025-09-01

範例回覆

定義

名稱 Description
CloudError

錯誤回應結構。

CloudErrorBody

錯誤詳細數據。

CloudError

錯誤回應結構。

名稱 類型 Description
error

CloudErrorBody

錯誤資料

CloudErrorBody

錯誤詳細數據。

名稱 類型 Description
code

string

錯誤的識別碼。 程序代碼是不變的,而且是要以程序設計方式取用。

message

string

描述錯誤的訊息,適用於在使用者介面中顯示。